#include "StdAfx.h"
#include "pixel.h"

pixel::pixel( void)
{
    _bundesland = "";
    _feuchte_trocken = 0;
    _feuchte_entwaessert = 0;
    _feuchte_mittel = 0;
    _feuchte_feucht = 0;
    _praedatorendruck = 0;
    _hoehenlage = 0;
    _gruenlandzahl = 0;
    _x_koordinate = 0;
    _y_koordinate = 0;
    _matrix_i = 0;
    _matrix_j = 0;
    _wald = 0;
    _siedlung = 0;
    _wasser = 0;
    _wuchsklasse = 0;
    _raumgliederung = "";
    _pixelID = 0;
    _bearbeitung = 0;
}

pixel::~pixel( void)
{
}

void pixel::set_bundesland( CString bundesland)
{
    _bundesland = bundesland;
}
//georaphische und geologische Attribute des Pixel
void pixel::set_feuchte_trocken( double feuchte_trocken)
{
    _feuchte_trocken = feuchte_trocken;
}
void pixel::set_feuchte_entwaessert( bool feuchte_entwaessert)
{
    _feuchte_entwaessert = feuchte_entwaessert;
}
void pixel::set_feuchte_mittel( double feuchte_mittel)
{
    _feuchte_mittel = feuchte_mittel;
}
void pixel::set_feuchte_feucht( double feuchte_feucht)
{
    _feuchte_feucht = feuchte_feucht;
}
void pixel::set_praedatorendruck( float praedatorendruck)
{
    _praedatorendruck = praedatorendruck;
}
void pixel::set_hoehenlage( int hoehenlage)
{
    _hoehenlage = hoehenlage;
}
void pixel::set_gruenlandzahl( int gruenlandzahl)
{
    _gruenlandzahl = gruenlandzahl;
}
void pixel::set_x_koordinate( int x_koordinate)
{
    _x_koordinate = x_koordinate;
}
void pixel::set_y_koordinate( int y_koordinate)
{
    _y_koordinate = y_koordinate;
}
void pixel::set_matrix_i( int matrix_i)
{
    _matrix_i = matrix_i;
}
void pixel::set_matrix_j( int matrix_j)
{
    _matrix_j = matrix_j;
}
void pixel::set_wald( bool wald)
{
    _wald = wald;
}
void pixel::set_siedlung( bool siedlung)
{
    _siedlung = siedlung;
}
void pixel::set_wasser( bool wasser)
{
    _wasser = wasser;
}
void pixel::set_wuchsklasse( int wuchsklasse)
{
    _wuchsklasse = wuchsklasse;
}
void pixel::set_raumgliederung( CString raumgliederung)
{
    _raumgliederung = raumgliederung;
}
void pixel::set_pixelID( int pixelID)
{
    _pixelID = pixelID;
}
void pixel::set_bearbeitung( int bearbeitung)
{
    _bearbeitung = bearbeitung;
}

CString pixel::get_bundesland()
{
    return _bundesland;
}
//georaphische und geologische Attribute des Pixel
double pixel::get_feuchte_trocken()
{
    return _feuchte_trocken;
}
bool pixel::get_feuchte_entwaessert()
{
    return _feuchte_entwaessert;
}
double pixel::get_feuchte_mittel()
{
    return _feuchte_mittel;
}
double pixel::get_feuchte_feucht()
{
    return _feuchte_feucht;
}
int pixel::get_hoehenlage()
{
    return _hoehenlage;
}
float pixel::get_praedatorendruck()
{
    return _praedatorendruck;
}
int pixel::get_gruenlandzahl()
{
    return _gruenlandzahl;
}
int pixel::get_x_koordinate()
{
    return _x_koordinate;
}
int pixel::get_y_koordinate()
{
    return _y_koordinate;
}
int pixel::get_matrix_i()
{
    return _matrix_i;
}
int pixel::get_matrix_j()
{
    return _matrix_j;
}
bool pixel::get_wald()
{
    return _wald;
}
bool pixel::get_siedlung()
{
    return _siedlung;
}
bool pixel::get_wasser()
{
    return _wasser;
}
int pixel::get_wuchsklasse()
{
    return _wuchsklasse;
}
CString pixel::get_raumgliederung()
{
    return _raumgliederung;
}
int pixel::get_pixelID()
{
    return _pixelID;
}
int pixel::get_bearbeitung()
{
    return _bearbeitung;
}